Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model.util
Class TableDMRValidation_Test

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.table.model.util.TableDMRValidation_Test

    public class TableDMRValidation_Test

extends Object

Author:
  jfaltermeier

Constructor Summary
`TableDMRValidation_Test(Boolean createChain)`

Method Summary
`void` | `before()`
`static Collection<Object[]>` | `data()`
`void` | `testBadColumn()`
`void` | `testBadColumnNoContainer()`
`void` | `testBadEFeatureAttribute()`
`void` | `testBadEFeatureAttributeNoContainer()`
`void` | `testBadEFeatureSingleRef()`
`void` | `testBadEFeatureSingleRefNoContainer()`
`void` | `testBadReferenceOnPathToTable()`
`void` | `testBadReferenceOnPathToTableNoContainer()`
`void` | `testBadRootEClass()`
`void` | `testBadRootEClassGoodRootEClassInContext()`
`void` | `testNoColumns()`
`void` | `testNoColumnsNoContainer()`
`void` | `testNoEFeatureOnPathToTable()`
`void` | `testNoEFeatureOnPathToTableNoContainer()`
`void` | `testOK()`
`void` | `testOKNoContainer()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDMRValidation_Test

    public TableDMRValidation_Test(Boolean createChain)

Method Detail

### data

    public static Collection<Object[]> data()

### before

    public void before()

### testNoColumns

    public void testNoColumns()

### testNoColumnsNoContainer

    public void testNoColumnsNoContainer()

### testNoEFeatureOnPathToTable

    public void testNoEFeatureOnPathToTable()

### testNoEFeatureOnPathToTableNoContainer

    public void testNoEFeatureOnPathToTableNoContainer()

### testBadReferenceOnPathToTable

    public void testBadReferenceOnPathToTable()

### testBadReferenceOnPathToTableNoContainer

    public void testBadReferenceOnPathToTableNoContainer()

### testBadEFeatureSingleRef

    public void testBadEFeatureSingleRef()

### testBadEFeatureSingleRefNoContainer

    public void testBadEFeatureSingleRefNoContainer()

### testBadEFeatureAttribute

    public void testBadEFeatureAttribute()

### testBadEFeatureAttributeNoContainer

    public void testBadEFeatureAttributeNoContainer()

### testBadColumn

    public void testBadColumn()

### testBadColumnNoContainer

    public void testBadColumnNoContainer()

### testOK

    public void testOK()

### testOKNoContainer

    public void testOKNoContainer()

### testBadRootEClass

    public void testBadRootEClass()

### testBadRootEClassGoodRootEClassInContext

    public void testBadRootEClassGoodRootEClassInContext()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.